//
//  LSBDecoratingIcons.h
//  LightSpeed Cocoa
//
//  Created by Yves Meynard on 2011/04/21.
//  Copyright 2011 Xsilva Systems. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "LSDecoratedTextFieldCellProtocol.h"

/*! The different icons we have available for decorating text fields. */
typedef enum {
	LSBNoDecoratingIcon,
	LSBRedArrowIcon,
	LSBRedXIcon,
	LSBGreenCheckIcon,
} LSDecoratingIcon;

@interface LSBDecoratingIcons : NSObject {
}

/*! Decorate a text field cell with one of the password images.
 *  The cell must be one of our decorated cell classes.
 */
+ (void) decorateFieldCell: (NSCell<LSDecoratedTextFieldCellProtocol>*) cell withIcon: (LSDecoratingIcon) image;

@end
