//
//  LSBDemoForm.h
//  LightSpeed Cocoa
//
//  Created by Yves Meynard on 2011/04/20.
//  Copyright 2011 Xsilva Systems. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "LSWindowClosingDelegate.h"

@class LSBDemoFormInfo;
@class LSDecoratedTextFieldCell;
@class XSConnection;

@interface LSBDemoForm : NSWindowController<LSDelegatingCloseWindowController> {
	IBOutlet NSObjectController* form;
    IBOutlet NSArrayController* businessArray;
    IBOutlet NSArrayController* currentlyUseArray;
    IBOutlet NSArrayController* timelineArray;
    IBOutlet NSArrayController* heardAboutArray;
    IBOutlet NSArrayController* countryArray;
	
	IBOutlet NSPopUpButton* businessTypePopup;
	IBOutlet NSPopUpButton* timelinePopup;
	IBOutlet NSPopUpButton* currentlyUsePopup;
	IBOutlet NSPopUpButton* heardAboutPopup;
		
	IBOutlet LSDecoratedTextFieldCell* firstNameCell;
	IBOutlet LSDecoratedTextFieldCell* lastNameCell;
	IBOutlet LSDecoratedTextFieldCell* emailFieldCell;
	IBOutlet LSDecoratedTextFieldCell* phoneFieldCell;
	
	IBOutlet NSTextField* timelineLabel;
	IBOutlet NSTextField* businessTypeLabel;

	IBOutlet NSTextField* couldNotSendRegistrationLabel;
	
	IBOutlet NSButton* registerButton;

	LSBDemoFormInfo* demoForm;

	id<LSWindowClosingDelegate> closingDelegate;
}

@property(nonatomic, retain) LSBDemoFormInfo* demoForm;
@property(nonatomic, assign) id<LSWindowClosingDelegate> closingDelegate;

- (IBAction) sendRegistration: (id) sender;

@end
