//
//  LSBLoginWindowController.h
//  login
//
//  Created by Joe on 7/25/09.
//  Copyright 2009 Xsilva Systems Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@protocol LSBLoginWindowDelegate;

@class LSBServerPicker;
@class XSAPopoverWindow;
@class XSFStaticServer;
@class XSConnection;

@interface LSBLoginWindowController : NSWindowController {
	IBOutlet NSWindow *progressSheet;
	IBOutlet NSProgressIndicator *progressBar;

    XSAPopoverWindow * serverListWindow;
    LSBServerPicker * serverPicker;
    
	XSConnection *connection;

	id<LSBLoginWindowDelegate> delegate;
	
    XSFStaticServer * staticServer;
    NSNetService * selectedBonjourService;
    NSString * versionNumber;
    
	BOOL cancelledConnection;
	BOOL updating;
	BOOL skipVersionCheck;
	BOOL isDemo;
	BOOL isInternal;
	BOOL canSelectServer;
    BOOL isConnecting;
}
@property(nonatomic, assign) id<LSBLoginWindowDelegate> delegate;
@property(nonatomic, assign) BOOL isInternal;
@property(nonatomic, assign) BOOL skipVersionCheck;
@property(nonatomic, readonly) BOOL canSelectServer;
@property(nonatomic, retain, readonly) XSConnection * connection;
@property(nonatomic, copy, readonly) NSString * versionNumber;
@property(nonatomic, readonly) NSString * serverName; //KVC
@property(nonatomic, readonly) BOOL canLogin; //KVC

- (id)initWithConnection:(XSConnection*)aConnection demoMode:(BOOL)isDemoMode;

- (IBAction)login:(id)sender;
- (IBAction)cancelConnecting:(id)sender;
- (IBAction)pickServer:(id)sender;
@end


@protocol LSBLoginWindowDelegate <NSObject>
- (void)loginWindow:(LSBLoginWindowController *)loginWin connectedWithConnection:(XSConnection *)conn;
- (void)loginWindowCancelled:(LSBLoginWindowController *)loginWin;
@end
