//
//  LSBStationSetup.h
//  LightSpeed Cocoa
//
//  Created by Bertrand Landry-Hétu on 11-04-15.
//  Copyright 2011 Xsilva Systems. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "XSFoundation.h"

typedef enum {
	LSBMagneticCardSwipeType=0,
	LSBEncryptedCardSwipeType=1,
	LSBIPDebitTerminalCardSwipeType=2
} LSBCardSwipeType;

@interface LSBStationSetup : NSObject {
@private
    NSMutableDictionary *properties;
}
XSF_SYNTHESIZE_SHARED_OBJECT_FOR_CLASS_HEADER(LSBStationSetup, sharedStationSetup);

@property(nonatomic, copy) NSString * cardSwipe;
@property(nonatomic, copy) NSString * cardSwipePort;
@property(nonatomic, readonly) LSBCardSwipeType cardSwipeType;

@property(nonatomic, assign) BOOL cashDrawer;
@property(nonatomic, copy) NSString * cashDrawerPort;
@property(nonatomic, copy) NSString * cashDrawerType;

@property(nonatomic, copy) NSString * creditCardProcessor;

@property(nonatomic, copy) NSString * debitAddressIP;
@property(nonatomic, copy) NSString * debitAddressPort;

@property(nonatomic, copy) NSString * defaultSearch;
@property(nonatomic, copy) NSString * defaultCustomerType;
@property(nonatomic, copy) NSString * defaultTaxCode;

@property(nonatomic, assign) BOOL didMigrateXLSPOSStationFile;
@property(nonatomic, assign) BOOL didMigrateXLSPrinterFile;

@property(nonatomic, assign) BOOL displayPrintDialogBox;

@property(nonatomic, copy) NSString * mailServer;

@property(nonatomic, copy) NSString * poleDisplay;
@property(nonatomic, copy) NSString * poleDisplayPort;

@property(nonatomic, copy) NSString * printing;
@property(nonatomic, assign) NSUInteger printCopies;
@property(nonatomic, copy) NSString * receiptPrinter;

@property(nonatomic, assign) BOOL refreshPOS;

@property(nonatomic, copy) NSString * scheduler;

@property(nonatomic, assign) BOOL soundEnabled;

@property(nonatomic, copy) NSString * stationName;

@property(nonatomic, copy) NSString * voip;

@property(nonatomic, copy) NSString * webfonesPasscode;

@property(nonatomic, copy) NSString * fullpagePrinterId;

@property(nonatomic, copy) NSString * receiptPrinterId;

@property(nonatomic, copy) NSString * labelPrinterId;

-(BOOL)saveWithError:(NSError **)error;

@end


