//
//  LSCaptureWindow.h
//  blugh
//
//  Created by Joe on 12/13/09.
//  Copyright 2009 Xsilva Systems Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <QTKit/QTKit.h>

@protocol LSCaptureWindowDelegate;
@interface LSCaptureWindow : NSWindowController <NSWindowDelegate> {
	IBOutlet QTCaptureView *view;
	IBOutlet NSTabView *tabView;
	IBOutlet NSButton *captureButton;
	id<LSCaptureWindowDelegate> delegate;
	BOOL isPreviewing;
    QTCaptureDeviceInput *deviceInput;
	CIImage *image;
}

@property(assign) id<LSCaptureWindowDelegate> delegate;
- (IBAction)takeImage:(id)sender;
- (IBAction)cancelGrab:(id)sender;
- (IBAction)saveImage:(id)sender;
@end

@protocol LSCaptureWindowDelegate <NSObject>
- (void)captureWindow:(LSCaptureWindow *)win tookImage:(CIImage *)image;
- (void)captureWindowClosed:(LSCaptureWindow *)win;
@end

