//
//  LSChangePasswordWindowController.h
//  LightSpeed Cocoa
//
//  Created by Bertrand Landry-Hétu on 2010/10/12.
//  Copyright 2010 Xsilva Systems. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "LSPasswordController.h"


@class LSChangePasswordInfo;
@class LSDecoratedSecureTextField;

@interface LSChangePasswordWindowController : NSWindowController {
@private
	NSObjectController * objectController;
	NSTextField * incorrectPasswordField;
	NSTextField * passwordDontMatchField;
	LSDecoratedSecureTextField * oldPasswordField;
	LSDecoratedSecureTextField * newPasswordField;
	LSDecoratedSecureTextField * verifyPasswordField;

	NSView * topHeaderGroupView;
	NSView * expiredHeaderGroupView;
	NSView * oldPasswordGroupView;
	NSView * normalTextGroupView;
	NSView * adminTextGroupView;
	NSView * passwordGroupView;
	
	XSConnection * connection;
	LSChangePasswordInfo * passwordInfo;
	NSResponder * viewToFocusAfterChangeFailed;
	XSFBindingHelper *binder;
	LSChangePasswordMode mode;
	XSUser * user;
	NSInteger resultCode;
}
@property(nonatomic, retain) IBOutlet NSObjectController * objectController;
@property(nonatomic, retain) IBOutlet NSTextField * incorrectPasswordField;
@property(nonatomic, retain) IBOutlet NSTextField * passwordDontMatchField;
@property(nonatomic, retain) IBOutlet LSDecoratedSecureTextField * oldPasswordField;
@property(nonatomic, retain) IBOutlet LSDecoratedSecureTextField * newPasswordField;
@property(nonatomic, retain) IBOutlet LSDecoratedSecureTextField * verifyPasswordField;
@property(nonatomic, retain) IBOutlet NSView * topHeaderGroupView;
@property(nonatomic, retain) IBOutlet NSView * expiredHeaderGroupView;
@property(nonatomic, retain) IBOutlet NSView * oldPasswordGroupView;
@property(nonatomic, retain) IBOutlet NSView * normalTextGroupView;
@property(nonatomic, retain) IBOutlet NSView * adminTextGroupView;
@property(nonatomic, retain) IBOutlet NSView * passwordGroupView;
@property(nonatomic, assign, readonly) NSInteger resultCode;

+(id)changedPasswordDialogForExpiredPasswordOnConnection:(XSConnection*)connection;
-(id)initWithMode:(LSChangePasswordMode)mode user:(XSUser*)user andConnection:(XSConnection *)connection;

-(IBAction)change:(id)sender;
-(IBAction)cancel:(id)sender;

@end
