//
//  LSSetupAssistant.h
//  LightSpeed Cocoa
//
//  Created by Yves Meynard on 2011/03/15.
//  Copyright 2011 Xsilva Systems. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "LSWindowClosingDelegate.h"

@class XSAProgressIndicator;
@class LSSetupAssistantViewController;
@class XSConnection;
@class XSUser;

@interface LSSetupAssistant : NSWindowController<LSDelegatingCloseWindowController> {
	
	IBOutlet NSButton* nextButton;
	IBOutlet NSButton* prevButton;
	IBOutlet NSButton* doneButton;
	IBOutlet XSAProgressIndicator* waitSpinner;
	
	/*! This view will contain all the subpanes we use. */
	IBOutlet NSView* subpaneHolder;
	
	XSConnection* connection;
	
	/*! An array of NSViews */
	NSMutableArray* subpanes;
	NSUInteger currentPaneIndex;
	
	/*! An array of our editing view controllers. */
	NSMutableArray* editorViewControllers;
	
	/*! The user that gets added at the end of the setup. */
	XSUser* newUser;
	
	/*! The animated transition we use to "slide" panes in and out. */
	CATransition* transition;
	
	/*! A count of animations that are currently running. */
	NSUInteger animationCount;
	
	id<LSWindowClosingDelegate> closingDelegate;
}

@property(nonatomic, assign) id<LSWindowClosingDelegate> closingDelegate;
@property(nonatomic, retain, readonly) LSSetupAssistantViewController* currentViewController;

- (id) initWithConnection: (XSConnection*) inConnection;

- (IBAction) nextPane:(id) sender;
- (IBAction) previousPane:(id) sender;
- (IBAction) doneWithPanes:(id) sender;

@end
