//
//  LSSetupWindow.h
//  PrefsTest
//
//  Created by Joseph Ranieri on 5/27/10.
//  Copyright 2010 Alacatia Labs, Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@protocol LSSetupWindowDelegate;

@interface LSSetupWindow : NSWindowController {
	NSArray *allCategories;
	NSArray* allPanes;
	NSDictionary* searchCategory;
	BOOL isSearching;

	IBOutlet NSArrayController *categoriesController;
	IBOutlet NSArrayController *panesController;
	IBOutlet NSTableView *panesTable;
	IBOutlet NSSearchField *searchField;
	id<LSSetupWindowDelegate> delegate;
	
	NSDictionary* localizedPaneInformation;
	NSDictionary* localizedCategoryInformation;
}

@property(assign) id<LSSetupWindowDelegate> delegate;
- (IBAction)openPane:(id)sender;

@end

@protocol LSSetupWindowDelegate
- (void)setupWindow:(LSSetupWindow *)controller openedPane:(NSString *)paneName;
- (void)setupWindowClosed:(LSSetupWindow *)controller;
@end

