//
//  LSTaskProgressWindowController.h
//  LightSpeed Cocoa
//
//  Created by Yves Meynard on 2011/21/2.
//  Copyright 2011 Xsilva Systems. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class XSScheduledTask;

@protocol LSTaskProgressWindowDelegate;

/*! A window that tracks the progress of an XSScheduledTask. */
@interface LSTaskProgressWindowController : NSWindowController {
	IBOutlet NSObjectController* objController;
    IBOutlet NSImageView* icon;
	id<LSTaskProgressWindowDelegate> delegate;

	NSString* localizedTaskName;
	NSString* localizedMessage;
	CGFloat progressValue;
	BOOL progressIsIndeterminate;
	
	/*! The interval between two polling operations, in seconds. */
	double pollingInterval;
		
	XSScheduledTask* task;
	
	BOOL trackingComplete;
}

@property(nonatomic, assign) id<LSTaskProgressWindowDelegate> delegate;

@property(nonatomic, retain) NSString* localizedTaskName;
@property(nonatomic, retain) NSString* localizedMessage;
@property(nonatomic, assign) CGFloat progressValue;
@property(nonatomic, assign) BOOL progressIsIndeterminate;
@property(nonatomic, assign) double pollingInterval;

-(id) initWithTask:(XSScheduledTask*) inTask;

@end

@protocol LSTaskProgressWindowDelegate
- (void)progressWindowClosed:(LSTaskProgressWindowController*)controller;
@end

