/*
 *  NSApplicationProperties.h
 *  BlackIce
 *
 *  Created by Joseph Ranieri on 8/29/09.
 *  Copyright 2009 Xsilva Systems. All rights reserved.
 *
 */

#import <AppKit/AppKit.h>

@interface NSApplication (properties)
#ifdef MAC_OS_X_VERSION_10_6
@property(assign) id<NSApplicationDelegate> delegate;
#else
@property(assign) id delegate;
#endif

@property(readonly) NSGraphicsContext *context;
@property(readonly) NSWindow *mainWindow;
@property(readonly) NSWindow *keyWindow;
@property(readonly) BOOL isActive;
@property(readonly) BOOL isHidden;
@property(readonly) BOOL isRunning;
@property(readonly) NSWindow *modalWindow;
@property(readonly) NSEvent *currentEvent;
@property(readonly) NSArray *windows;
@property(retain) NSMenu *mainMenu;
@property(copy) NSImage *applicationIconImage;
@property(readonly) NSDockTile *dockTile;

#ifdef MAC_OS_X_VERSION_10_6
@property NSApplicationActivationPolicy activationPolicy AVAILABLE_MAC_OS_X_VERSION_10_6_AND_LATER;
@property(retain) NSMenu *helpMenu AVAILABLE_MAC_OS_X_VERSION_10_6_AND_LATER;
@property NSApplicationPresentationOptions presentationOptions AVAILABLE_MAC_OS_X_VERSION_10_6_AND_LATER;
@property(readonly) NSApplicationPresentationOptions currentSystemPresentationOptions AVAILABLE_MAC_OS_X_VERSION_10_6_AND_LATER;
#endif

// NSWindowsMenu
@property(retain) NSMenu *windowsMenu;

// NSFullKeyboardAccess
#ifdef MAC_OS_X_VERSION_10_6
@property(readonly) BOOL isFullKeyboardAccessEnabled AVAILABLE_MAC_OS_X_VERSION_10_6_AND_LATER;
#endif

// NSServicesMenu
@property(retain) NSMenu *servicesMenu;

// NSServicesHandling
@property(retain) id servicesProvider;

// NSApplicationLayoutDirection
#ifdef MAC_OS_X_VERSION_10_6
@property(readonly) NSUserInterfaceLayoutDirection userInterfaceLayoutDirection AVAILABLE_MAC_OS_X_VERSION_10_6_AND_LATER;
#endif
@end
