/*
 *  NSButtonProperties.h
 *  LightSpeed Cocoa
 *
 *  Created by Joseph Ranieri on 9/18/09.
 *  Copyright 2009 Xsilva Systems. All rights reserved.
 *
 */

#import <AppKit/AppKit.h>

@interface NSButton (properties)
@property(copy) NSString *title;
@property(copy) NSString *alternateTitle;
@property(copy) NSImage *image;
@property(copy) NSImage *alternateImage;
@property NSCellImagePosition imagePosition;
@property NSInteger state;
@property(getter=isBordered, setter=setBordered:) BOOL isBordered;
@property(getter=isTransparent, setter=setTransparent:) BOOL isTransparent;
@property(copy) NSString *keyEquivalent;
@property NSUInteger keyEquivalentModifierMask;

// NSButtonAttributedStringMethods
@property(copy) NSAttributedString *attributedTitle;
@property(copy) NSAttributedString *attributedAlternateTitle;

// NSButtonBezelStyle
@property NSBezelStyle bezelStyle;

// NSButtonMixedState
@property BOOL allowsMixedState;

// NSButtonBorder
@property BOOL showsBorderOnlyWhileMouseInside;

// NSButtonSoundExtensions
@property(retain /* copy? */) NSSound *sound;
@end
