/*
 *  NSEventProperties.h
 *  BlackIce
 *
 *  Created by Joseph Ranieri on 8/30/09.
 *  Copyright 2009 Xsilva Systems. All rights reserved.
 *
 */

#import <AppKit/AppKit.h>

@interface NSEvent (properties)
@property(readonly) NSEventType type;
@property(readonly) NSUInteger modifierFlags;
@property(readonly) NSTimeInterval timestamp;
@property(readonly) NSWindow *window;
@property(readonly) NSInteger windowNumber;
@property(readonly) NSGraphicsContext *context;
@property(readonly) NSInteger clickCount;
@property(readonly) NSInteger buttonNumber;
@property(readonly) NSInteger eventNumber;
@property(readonly) float pressure;
@property(readonly) NSPoint locationInWindow;
@property(readonly) CGFloat deltaX;
@property(readonly) CGFloat deltaY;
@property(readonly) CGFloat deltaZ;
@property(readonly) NSString *characters;
@property(readonly) NSString *charactersIgnoringModifiers;
@property(readonly) BOOL isARepeat;
@property(readonly) unsigned short keyCode;
@property(readonly) NSInteger trackingNumber;
@property(readonly) void *userData;
@property(readonly) NSTrackingArea *trackingArea;
@property(readonly) short subtype;
@property(readonly) NSInteger data1;
@property(readonly) NSInteger data2;
@property(readonly) const void *eventRef;
@property(readonly) CGEventRef CGEvent;
@property(readonly) CGFloat magnification;
@property(readonly) NSUInteger deviceID;
@property(readonly) float rotation;
@property(readonly) NSInteger absoluteX;
@property(readonly) NSInteger absoluteY;
@property(readonly) NSInteger absoluteZ;
@property(readonly) NSPoint tilt;
@property(readonly) float tangentialPressure;
@property(readonly) id vendorDefined;
@property(readonly) NSUInteger vendorID;
@property(readonly) NSUInteger tabletID;
@property(readonly) NSUInteger pointingDeviceID;
@property(readonly) NSUInteger systemTabletID;
@property(readonly) NSUInteger vendorPointingDeviceType;
@property(readonly) NSUInteger pointingDeviceSerialNumber;
@property(readonly) unsigned long long uniqueID;
@property(readonly) NSUInteger capabilityMask;
@property(readonly) NSPointingDeviceType pointingDeviceType;
@property(readonly) BOOL isEnteringProximity;
@end
