/*
 *  NSImageProperties.h
 *  BlackIce
 *
 *  Created by Joseph Ranieri on 8/31/09.
 *  Copyright 2009 Xsilva Systems. All rights reserved.
 *
 */

#import <AppKit/AppKit.h>

@interface NSImage (properties)
@property NSSize size;
@property(copy) NSString *name;
@property(retain) NSColor *backgroundColor;
@property BOOL usesEPSOnResolutionMismatch;
@property BOOL prefersColorMatch;
@property BOOL matchesOnMultipleResolution;
@property(readonly) NSData *TIFFRepresentation;
@property(readonly) NSArray *representations;
@property(readonly) BOOL isValid;

#ifdef MAC_OS_X_VERSION_10_6
@property(assign) id<NSImageDelegate> delegate;
#else
@property(assign) id delegate;
#endif

@property NSImageCacheMode cacheMode;
@property NSRect alignmentRect;
@property(getter=isTemplate, setter=setTemplate:) BOOL isTemplate;

#ifdef MAC_OS_X_VERSION_10_6
@property(copy) NSString *accessibilityDescription AVAILABLE_MAC_OS_X_VERSION_10_6_AND_LATER;
#endif
@end
