/*
 *  NSScrollViewProperties.h
 *  BlackIce
 *
 *  Created by Joseph Ranieri on 8/30/09.
 *  Copyright 2009 Xsilva Systems. All rights reserved.
 *
 */

#import <AppKit/AppKit.h>

@interface NSScrollView (properties)
@property(readonly) NSRect documentVisibleRect;
@property(readonly) NSSize contentSize;
@property(retain) NSView *documentView;
@property(retain) NSClipView *contentView;
@property(retain) NSCursor *documentCursor;
@property NSBorderType borderType;
@property(retain) NSColor *backgroundColor;
@property BOOL drawsBackground;
@property BOOL hasVerticalScroller;
@property BOOL hasHorizontalScroller;
@property(retain) NSScroller *verticalScroller;
@property(retain) NSScroller *horizontalScroller;
@property BOOL autohidesScrollers;
@property CGFloat horizontalLineScroll;
@property CGFloat verticalLineScroll;
@property CGFloat lineScroll;
@property CGFloat horizontalPageScroll;
@property CGFloat verticalPageScroll;
@property CGFloat pageScroll;
@property BOOL scrollsDynamically;

// NSRulerSupport
@property BOOL rulersVisible;
@property BOOL hasHorizontalRuler;
@property BOOL hasVerticalRuler;
@property(retain) NSRulerView *horizontalRulerView;
@property(retain) NSRulerView *verticalRulerView;
@end
